新井です。

>>> From: matz / netlab.co.jp (Yukihiro Matsumoto)
>>> Date: 17 May 1999 15:15:22 +0900
>>> Subject: [ruby-dev:6853] Re: Ruby 1.3.3-990513

> まつもと ゆきひろです

> |以下がマッチしません。こちらは1.2.5でもダメでした。
> |
> |ruby -e 'p "abc" =~ /[\S]+/i'
> 
> こちらは/iがあると\Sを\sと解釈しちゃってました.ここで変換し
> ちゃダメじゃん(1.2.5も).

改行を含む任意の文字の正規表現として[\s\S]* とかや
ろうと思ったんですけど1.2系で使えないならダメです
ねぇ。1.2.6とかをリリースする予定はありますか?

[\w\W]*とすればよさそうだけど。